#
# spec file for package perl-MailTools (Version 1.42)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  perl-libnet
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl perl-libnet rpm

Name:         perl-MailTools
License:      Artistic License
Group:        Development/Libraries/Perl
Provides:     p_mtools
Obsoletes:    p_mtools
Autoreqprov:  on
Summary:      a set of perl modules related to mail applications
Version:      1.42
Release:      120
Source:       MailTools-%{version}.tar.gz
Patch1:       no_mail_in_Mailers.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
a set of perl modules related to mail applications

Authors:
--------
    Graham Barr <gbarr@pobox.com>

SuSE series: perl

%prep
%setup -n MailTools-%{version}
%patch1
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make
# ---------------------------------------------------------------------------

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
    eval `perl -V:installarchlib`
    install -d $RPM_BUILD_ROOT/$installarchlib
    make PREFIX=$RPM_BUILD_ROOT/usr \
            INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
            install
    install -d $RPM_BUILD_ROOT/var/adm/perl-modules
    cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-MailTools
    cd $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/5.*/*-linux/auto/Mail
    cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
/usr/lib/perl5/site_perl/5.*/Mail
/usr/lib/perl5/site_perl/5.*/auto/Mail
/usr/lib/perl5/site_perl/5.*/*-linux/auto/Mail
%doc /usr/share/man/man3/Mail::Address.3pm.gz
#%doc /usr/share/man/man3/Mail::Alias.3pm.gz
%doc /usr/share/man/man3/Mail::Cap.3pm.gz
%doc /usr/share/man/man3/Mail::Field.3pm.gz
%doc /usr/share/man/man3/Mail::Field::AddrList.3pm.gz
%doc /usr/share/man/man3/Mail::Filter.3pm.gz
%doc /usr/share/man/man3/Mail::Header.3pm.gz
%doc /usr/share/man/man3/Mail::Internet.3pm.gz
%doc /usr/share/man/man3/Mail::Mailer.3pm.gz
%doc /usr/share/man/man3/Mail::Send.3pm.gz
%doc /usr/share/man/man3/Mail::Util.3pm.gz
/var/adm/perl-modules/perl-MailTools
%doc ChangeLog MANIFEST README  README.demos

%changelog -n perl-MailTools
* Wed Oct 30 2002 - choeger@suse.de
- Security update: The mailx mailer has been removed from the list
  of possible mailers in the Mail::Mailer package. Remote attackers
  could use unpatched Mail::Mailer packages to execute arbitrary
  commands via programs using this package or any other Perl
  package using Mail::Mailer. Such programs are auto-reply
  programs or SpamAssassin for example.
* Sun Jan 13 2002 - link@suse.de
- update to v1.42
* Wed Nov 15 2000 - choeger@suse.de
- long package name
- buildroot
* Wed Jul 19 2000 - choeger@suse.de
- first package, v1.1401
